Bug 24173 - Advanced Editor: Show subtitle & published date on the search page
Summary: Advanced Editor: Show subtitle & published date on the search page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Cori Lynn Arnold
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-04 17:43 UTC by Cori Lynn Arnold
Modified: 2020-01-15 22:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds Subtitle (all parts) and date published to the results that come up for the Advanced Editor Search.
Version(s) released in:
20.05.00, 19.11.02, 19.05.07


Attachments
Bug 24173: Advanced Editor: Show subtitle & published date on the search page (2.58 KB, patch)
2019-12-18 18:29 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 24173: Advanced Editor: Show subtitle & published date on the search page (2.63 KB, patch)
2019-12-19 00:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24173: Advanced Editor: Show subtitle & published date on the search page (2.71 KB, patch)
2019-12-27 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Cori Lynn Arnold 2019-12-04 17:43:20 UTC
Add Subtitle (all parts) and date published to the results that come up for the Advanced Editor Search.
Comment 1 Cori Lynn Arnold 2019-12-18 18:29:17 UTC Comment hidden (obsolete)
Comment 2 Cori Lynn Arnold 2019-12-18 18:31:25 UTC
Patch adds "Subtitle" and "Published" (date) field to the Advanced Editor search overlay.

To test:

Prior to patch:
1/Verify that EnableAdvancedCatalogingEditor syspref is set to "enable"
2/Go to Cataloging
3/Click on "Advanced Editor" button
4/In left hand box put "specious" under Keywords and hit "enter"
5/verify that "Library of Congress" (or some other server) Z39.50 is checked
6/Verify that there are no headings for "Subtitle" and "Published"

Apply Patch
1/Go to Administration->Koha to MARC mapping
2/Add or verify that there are entries for "biblio.subtitle" and
"biblio.copyrightdate"
3/Go to Cataloging
4/Click on "Advanced Editor" button
5/In left hand box put "specious" under Keywords and hit "enter"
6/verify that "Library of Congress" (or some other server) Z39.50 is checked
7/Verify that there are headings for "Subtitle" and "Published" and the
data matches with the fields from Koha to MARC mapping when you click on
"View MARC" link for that record.
Comment 3 Owen Leonard 2019-12-19 00:39:06 UTC
Created attachment 96466 [details] [review]
Bug 24173: Advanced Editor: Show subtitle & published date on the search page

To test:

Prior to patch:
1/Verify that EnableAdvancedCatalogingEditor syspref is set to  "enable"
2/Go to Cataloging
3/Click on "Advanced Editor" button
4/In left hand box put "specious" under Keywords and hit "enter"
5/verify that "Library of Congress" (or some other server) Z39.50 is checked
6/Verify that there are no headings for "Subtitle" and "Published"

Apply Patch
1/Go to Administration->Koha to MARC mapping
2/Add or verify that there are entries for "biblio.subtitle" and
"biblio.copyrightdate"
3/Go to Cataloging
4/Click on "Advanced Editor" button
5/In left hand box put "specious" under Keywords and hit "enter"
6/verify that "Library of Congress" (or some other server) Z39.50 is checked
7/Verify that there are headings for "Subtitle" and "Published" and the
data matches with the fields from Koha to MARC mapping when you click on
"View MARC" link for that record.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2019-12-27 14:52:09 UTC
Created attachment 96653 [details] [review]
Bug 24173: Advanced Editor: Show subtitle & published date on the search page

To test:

Prior to patch:
1/Verify that EnableAdvancedCatalogingEditor syspref is set to "enable"
2/Go to Cataloging
3/Click on "Advanced Editor" button
4/In left hand box put "specious" under Keywords and hit "enter"
5/verify that "Library of Congress" (or some other server) Z39.50 is checked
6/Verify that there are no headings for "Subtitle" and "Published"

Apply Patch
1/Go to Administration->Koha to MARC mapping
2/Add or verify that there are entries for "biblio.subtitle" and
"biblio.copyrightdate"
3/Go to Cataloging
4/Click on "Advanced Editor" button
5/In left hand box put "specious" under Keywords and hit "enter"
6/verify that "Library of Congress" (or some other server) Z39.50 is checked
7/Verify that there are headings for "Subtitle" and "Published" and the
data matches with the fields from Koha to MARC mapping when you click on
"View MARC" link for that record.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-01-03 16:30:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-14 00:51:29 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 7 Lucas Gass 2020-01-15 22:49:02 UTC
backported to 19.05.x for 19.05.07
Comment 8 Hayley Mapley 2020-01-15 22:56:53 UTC
Enhancement will not be backported to 18.11.x series.